%define name pyclutter
%define version 0.8.0
%define rel 1
%define svn 3273
%if %svn
%define release %mkrel 0.%svn.%rel
%else
%define release %mkrel %rel
%endif

%define apiver 0.8
%define api 1.0

Summary:       Python bindings for clutter
Name:          %{name}
Version:       %{version}
Release:       %{release}
%if %svn
Source0:       %{name}-%{svn}.tar.bz2
%else
Source0:       %{name}-%{version}.tar.bz2
%endif
License:       LGPL
Group:         Graphics
Url:           http://clutter-project.org/
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: clutter-devel
BuildRequires: clutter-cairo-devel
BuildRequires: clutter-gst-devel
BuildRequires: clutter-gtk-devel
BuildRequires: python-gtk
BuildRequires: python-cairo
BuildRequires: gstreamer0.10-python-devel

%description
Python bindings for clutter

#----------------------------------------------------------------------------

%package -n python-clutter
Summary:       Python bindings for clutter
Group:         Graphics
Provides:      pyclutter = %{version}-%{release}

%description -n python-clutter
Python bindings for clutter

#----------------------------------------------------------------------------

%prep
%if %svn
%setup -q -n %name
./autogen.sh -V
%else
%setup -q
%endif

%build
%configure
%make

%install
rm -rf %buildroot

%makeinstall

%clean
rm -rf %buildroot

%files -n python-clutter
%defattr(-,root,root)
%dir %{py_platsitedir}/clutter
%{py_platsitedir}/clutter/*
%dir %{py_platsitedir}/cluttercairo
%{py_platsitedir}/cluttercairo/*
%dir %{py_platsitedir}/cluttergst
%{py_platsitedir}/cluttergst/*
%dir %{py_platsitedir}/cluttergtk
%{py_platsitedir}/cluttergtk/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{api}
%dir %{_datadir}/%{name}/%{api}/defs
%{_datadir}/%{name}/%{api}/defs/*.defs
%dir %{_datadir}/%{name}/defs
%{_datadir}/%{name}/defs/*.defs
%{_includedir}/%{name}-%{api}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}-%{apiver}.pc


%changelog
* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.3273.1mdv2009.0
+ Revision: 284395
- New snapshot

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173180
- New version

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-3mdv2008.1
+ Revision: 157487
- Bump release for buildsystem lock.
- New upstream version 0.4.1 (upstream messed up previous release which was not meant to be named 0.4.1)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 60563
- Rename package
- Import pyclutter

